November 21, 2018

acme-sh is added

acme.sh is an ACME client, written in shell script. It can be used for Let's Encrypt
ACME v2 is supported. SAN and wildcard certificates can be obtained
( dns-01 challenge is needed for wildcard certificates
 Of course, wildcard is not a FQDN, such as *.example.com cannot be hosted as a web server! )

Since Gentoo's package name spec does not allow . (dot),
it is in gentoo repository as acme-sh

acme.sh is a bit weird. It can be install to your user directory, then root privilege is not required

But it should be installed to global directories and run by root for most cases
Also, package managers install packages to global directories. some tweak is prefered when a package manager is installing it

That's why I add the package in my wjn-overlay